<?php
// default module template
// use this to create modules for houses
// Author: Chaosmaker <webmaster@chaosonline.de>

// all function names MUST end with the module's name (as in $info['modulename'])!!!
// hint: use search&replace ;) replace 'private_chamber' with your module's (internal) name.
function module_getinfo_private_chamber() {
	$info = array(
					'modulename'=>'private_chamber', 		// internal name; use letters, numbers and underscores only!
					'modulefile'=>basename(__FILE__), 	// filename of the module; if you allow to rename the script, do NOT change this!
					'moduleauthor'=>'Chaosmaker', 			// the author's name
					'moduleversion'=>'1.0',			// the module's version number
					'built_in'=>'1',				// '1', if each house should have this module built-in; otherwise '0'
					'linkcategory'=>'Weitere Rume',			// the category (in houses.php's menu) under which the link to this module should be shown
					'linktitle'=>'Privatgemach',			// the link title of the module
					'showto'=>'owner,guest'						// who should use this module? possible options: 'owner', 'guest' and 'owner,guest'
	);
	return $info;
}

function module_install_private_chamber() {
	// insert data into module table - do NOT change this (well... just change the function name ;))!
	$info = module_getinfo_private_chamber();
	$sql = "INSERT INTO housemodules
				(modulefile, modulename, moduleversion, moduleauthor, built_in, linkcategory, linktitle,showto)
				VALUES ('{$info['modulefile']}', '{$info['modulename']}', '{$info['moduleversion']}', '{$info['moduleauthor']}', '{$info['built_in']}', '{$info['linkcategory']}', '{$info['linktitle']}', '{$info['showto']}')";
	db_query($sql);
	$moduleid = db_insert_id(LINK);

	// insert global module data (you can add several entries - but do NOT
	// change anything else than "FieldName" and "FieldValue"!)
	/*
	$sql = 'INSERT INTO housemoduledata (moduleid, name, houseid, value)
				VALUES ('.$moduleid.',"FieldName",0,"FieldValue")';
	db_query($sql);
	*/
	/* install_moduledata begin */

/* install_moduledata end */

	// here you can change everything else needed (e.g. adding settings)
	// be careful: these changes must be global; per-house-changes will be done
	// in module_build()!
	/* install_other begin */

/* install_other end */
}

function module_uninstall_private_chamber() {
	// uninstalling the module
	// this function should also contain all module_destroy contents

	// getting moduleid - do NOT change this (same as above... the function name should be changed)!
	$info = module_getinfo_private_chamber();
	$moduleid = getmoduleid($info['modulename']);

	// deleting module from db - do NOT change this!
	$sql = 'DELETE FROM housemodules WHERE moduleid='.$moduleid;
	db_query($sql);

	// deleting internal module data - do NOT change this!
	$sql = 'DELETE FROM housemoduledata WHERE moduleid='.$moduleid;
	db_query($sql);

	// here you should delete all other added things (e.g. settings) of this module
	/* delete_other begin */

/* delete_other end */
}

function module_build_private_chamber($houseid) {
	// this is only needed if 'built_in' in module_info() is set to 0

	// getting moduleid - do NOT change this (function name... blablabla)!
	$info = module_getinfo_private_chamber();
	$moduleid = getmoduleid($info['modulename']);

	// setting flag for house - do NOT change this!
	$sql = 'INSERT INTO housemoduledata (moduleid, name, houseid, value)
				VALUES ('.$moduleid.',"#activated#",'.$houseid.',"1")';
	db_query($sql);

	// here you can change everything else needed (e.g. changing user settings)
	// be careful: these changes must be for this house only; global changes will be done
	// in module_install()!
	/* build_other begin */

/* build_other end */
}

function module_destroy_private_chamber($houseid) {
	// this is only needed if 'built_in' in module_info() is set to 0

	// getting moduleid - do NOT change this (function name... moooooooooh!)!
	$info = module_getinfo_private_chamber();
	$moduleid = getmoduleid($info['modulename']);

	// deleting module data of this house - do NOT change this!
	$sql = 'DELETE FROM housemoduledata WHERE moduleid='.$moduleid.' AND houseid='.$houseid;
	db_query($sql);

	// here you should delete all other added things (e.g. user settings) of this module and house
	/* destroy_other begin */

/* destroy_other end */
}

function module_show_private_chamber() {
	// this is the main part of the module where all output is done ;)
	// don't forget the navs; only the default module does not need them (but may add some)
	// to return to the main module, use this link: houses.php?op=drin&module (without id!)
	// don't forget 'global $session;' if you need the player's data (and you WILL need them!)
   
   /* content_show begin */
	global $session;

	addcommentary();

	$sql = 'SELECT owner FROM houses WHERE houseid='.$session['user']['specialmisc']['houseid'];
	$result = db_query($sql);
	$row = db_fetch_assoc($result);
	// falls eigentuemer oder partner
	if ($session['user']['house']==$session['user']['specialmisc']['houseid'] || $session['user']['marriedto']==$row['owner']){
		output('`qDu trittst durch eine unscheinbare Tr in dein privates Schlafgemach. Es ist angenehm warm, kein Wunder, denn in dem schn verzierten Kamin in der Ecke prasselt ein kleines Feuer. Auf einem steinernen Vorsprung der Mauer, der mehr schon eine Bank zu sein scheint, liegt zusammengefaltet ein groes, kuscheliges Fell, wohl eine Erinnerung an deinen letzten Jagdausflug.`n');
		output('Die andere Ecke des Raumes nimmt dein groes, mit Holzschnitzereien versehenes Himmelbett ein. Die seidenen Vorhnge sind geffnet und geben den Blick frei auf rote, mit Goldfden bestickte Kissen. Du berlegst, was dich mehr anzieht, das Fell vor dem Kamin, die Steinbank oder dein gemtliches Bett, entscheidest dich dann aber, zuerst ein wenig im Zuber des angrenzenden Bads zu planschen.`n');
		// Verheiratet?
		if($session['user']['charisma']==4294967295) output('Du hrst Gerusche vor der Tr und hoffst, dass '.($session['user']['sex']?'dein Liebster':'deine Liebste').' inzwischen heimgekommen ist.`n');
		output('`n');
    
    if($_GET[act] == "geschuetzt")
        {
        output("`nAls " . $row3[name] . "`q, eigentlich nur fr kurz, in euren Schlafgemchern vorbei schaut ziehst Du " . ($session['user']['sex']?'sie':'ihn') . " ins Bett und ihr liebt euch den ganzen restlichen Tag heiss und innig.");
        output("`nIhr bleibt schmussend noch ein wenig liegen...`n`n");
        }
        if($_GET[act] == "kind")
        {
        $sql = "select * from accounts where acctid = " . $session['user']['marriedto'];
        $result = db_query($sql) or die(db_error(LINK));
        $row3 = db_fetch_assoc($result);
        
        if($session[user][sex] != $row3[sex])
            $kindokay = true;
        else
            $kindokay = false;
    
        if($session[user][superuser] >= 2)
            $session[user][sexheute] = 0;
            
        if($session[user][sexheute] + $row3[sexheute] < 6)
        {
            debuglog("hatte mit " . $row3[acctid] . "-" . $row3[name] . " sex");
            
            if($row3[acctid] < $session[user][acctid])
            {
                $spielera = $row3[acctid];
                $spielerb = $session[user][acctid];
            }
            else
            {
                $spielera = $session[user][acctid];
                $spielerb = $row3[acctid];
            }
            
            $sqlsex = "SELECT * FROM sexwermitwem WHERE spielera = $spielera AND spielerb = $spielerb";
            $resultsex = db_query($sqlsex) or die(db_error(LINK));
            if($rowsex = db_fetch_assoc($resultsex))
                $sqlsex = "UPDATE sexwermitwem SET sexzahl = sexzahl + 1 WHERE spielera = $spielera AND spielerb = $spielerb";
            else
                $sqlsex = "INSERT INTO sexwermitwem VALUES($spielera, $spielerb, 1)";
                
            db_query($sqlsex) or die(db_error(LINK));

            if($kindokay)
            {
                if($session['user']['sex'])
                    $empf = $session['user']['ssempf'];
                else
                    $empf = $row3['ssempf'];
                
                $sql = "insert into commentary values(0, 'private-".$row[houseid] . "', " . $session[user][acctid] . ", '/me `&hat mit " . $row3[name] . " `&geschlafen',now())";
                $result = db_query($sql) or die(db_error(LINK));

                if($session[user][ssstatus] == 0 && $row3[ssstatus] == 0)
                {
                    if(e_rand()%9 == $empf)
                        $schwanger = true;
                    else
                        if(e_rand()%9 == $empf)
                            $schwanger = true;
                        else
                            $schwanger = false;
                }
            }
            else
            {
                $sql = "insert into commentary values(0, 'inn-" . $HTTP_GET_VARS[sop] . "', " . $session[user][acctid] . ", '/me `&hat mit " . $row3[name] . " `&geschlafen',now())";
                $result = db_query($sql) or die(db_error(LINK));
            }
            $session[user][sexheute]++;
            $session[user][charm] += 1;

            $sql2 = "update accounts set charm = charm + 1, sexheute = sexheute + 1 WHERE acctid ='".$row3[acctid]."'"; 
            db_query($sql2) or die(db_error(LINK)); 
            
            
            if($schwanger)
            {
                if($session['user']['sex'])
                { // frau
                    debuglog("ist von " . $row3[acctid] . "-" . $row3[name] . " schawanger");
                    $session[user][ssstatus] = 1;
                    $session[user][sstritte] = 0;
                    $session[user][ssmonat] = 19;
                    $session[user][sserzeug] = $row3[acctid];
    
                    $sql2 = "update accounts set charm = charm + 10 WHERE acctid=".$row3[acctid]; 
                    db_query($sql2) or die(db_error(LINK)); 
                    $session[user][charm] += 10;
                }
                else
                {
                    debuglog("hat " . $row3[acctid] . "-" . $row3[name] . " geschwngert");
                    $sql2 = "update accounts set charm = charm + 10, ssstatus = 1, ssmonat = 19, sstritte = 0, sserzeug = " . $session[user][acctid] . " WHERE acctid='".$row3[acctid]."'"; 
                    db_query($sql2) or die(db_error(LINK)); 
                    $session[user][charm] += 10;
                    }
            }
            if($session[user][superuser] > 2)
            {
                $bufflist = unserialize(stripslashes($row3['bufflist']));
                $bufflist['goettlichersex'] = array("name"=>"`%Gttliches Andenken","rounds"=>100,"wearoff"=>"Die Errinerung verfliegt fr heute!","atkmod"=>1.75,"roundmsg"=>"Du denkst immer noch an den gttlich intimen Stunden...","activate"=>"offense");
                $sql2 = "update accounts set sexgoettlich = 100, bufflist = '" . addslashes(serialize($bufflist)) . "' WHERE acctid='".$row3[acctid]."'"; 
                db_query($sql2) or die(db_error(LINK)); 
            }
            if($row3[superuser] > 2)
            {
                $session[user][sexgoettlich] = 100;
                $session['bufflist']['goettlichersex'] = array("name"=>"`%Gttliches Andenken","rounds"=>100,"wearoff"=>"Die Errinerung verfliegt fr heute!","atkmod"=>1.75,"roundmsg"=>"Du denkst immer noch an den gttlich intimen Stunden...","activate"=>"offense");
            }
        }
        else
            output("`n`nIrgendwie seit ihr nicht in der Stimmung dazu...`n");
        if($session[user][superuser] >= 2)
        {
            output("`n`nDebug`n");
            output("Sex heute: " . $session[user][sexheute] . "`n");
            output("Sex gesamt: " . $session[user][sexgesamt] . "`n");
            output("Empfngnis: " . $empf . "`n");
        }
        }
            output('`n');
            
	viewcommentary("private-".$session['user']['specialmisc']['houseid'],($session['user']['sex']?"Deinem":"Deiner")." Liebsten zuflstern:",50,"flstert");
	} else { // jeder andere
		output("Du rttelst ein wenig an der Tr - verschlossen.`n");
		output("Tja, in den Privatgemchern hast du eben nichts zu suchen.");
	}
	addnav("Zurck zum Haus","houses.php?op=drin&module=");
  addnav("Verkehr");
  addnav("Geschtzt","houses.php?op=drin&act=geschuetzt");
  addnav("Ungeschtzt","houses.php?op=drin&act=kind");

	// uncomment these lines if you want to show the default navs even if this is not the default module
	// global $shownavs;
	// $shownavs = true;

	// uncomment these lines if you want to hide the default navs even if this is the default module
	// global $shownavs;
	// $shownavs = false;
/* content_show end */
}
?>